﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
<title>Untitled Page</title>
</head>
<body>
<form id="form1" runat="server">
<div>
<script type="text/javascript">
	var currentRequestIndex = 0;
	var totalLoadTime = 0;

	var maxRequests = 10;

	function setFrameUrl()
	{
		var enableCombine = document.getElementById("cbEnableCombine").checked;
		document.getElementById("mainWindow").src = "./MainPage.aspx?EnableResourceCombine=" + enableCombine;
	}
	function startMeasure()
	{
		currentRequestIndex = 0;
		totalLoadTime = 0;
		maxRequests = parseInt(document.getElementById("txtRequestsToMake").value);
		setActionItemAvailability(false);
		setFrameUrl();
	}

	function updateStatistics(currentLoadTime)
	{
		displayStatistics(currentLoadTime);
		var loadingMessagePanel = document.getElementById("loadingMessage");
		if (currentRequestIndex < maxRequests - 1)
		{
			currentRequestIndex++;
			loadingMessagePanel.style.display = "";
			setFrameUrl();
			setActionItemAvailability(false);
		}
		else
		{
			loadingMessagePanel.style.display = "none";
			setActionItemAvailability(true);
		}
	}
	
	function setActionItemAvailability(enabled)
	{
		document.getElementById("btnMeasure").disabled = !enabled;
		document.getElementById("cbEnableCombine").disabled = !enabled;
		document.getElementById("txtRequestsToMake").disabled = !enabled;
	}
	
	function displayStatistics(currentLoadTime)
	{
		totalLoadTime += currentLoadTime;
		var currentRequestsCount = currentRequestIndex + 1;
		var averageLoadTime = Math.round(totalLoadTime/currentRequestsCount);
		document.getElementById("statistics").innerHTML = "number of requests: " + currentRequestsCount + "; average load time: " + averageLoadTime;
	}
</script>
Requests to make:<input type="text" id="txtRequestsToMake" value="10" style="width:30px;" size="2" maxlength="2" /><br />
<input type="checkbox" id="cbEnableCombine" />Enable combine?<br />
<input type="button" id="btnMeasure" value="Measure!" onclick="javascript:startMeasure();" />
<br />
<span id="loadingMessage" style="border:solid 1px red; color:White;background-color:Red;display:none;">measuring...<br /></span>
<span id="statistics" style="border:solid 1px black; background-color:InfoBackground;font:normal 12px Courier New;"></span>
<br /><br />
<iframe id="mainWindow" src="javascript:'';" style="width:800px;height:500px;"></iframe>
</div>
</form>
</body>
</html>