﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class MainPage : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		if (Request.QueryString["EnableResourceCombine"] != null)
		{
			bool enableCombine = bool.Parse(Request.QueryString["EnableResourceCombine"]);
			SetScriptCombine(enableCombine);
			cbEnableScriptCombine.Checked = enableCombine;
			cbEnableScriptCombine.Enabled = false;
		}
	}

	protected void cbEnableScriptCombine_CheckedChanged(object sender, EventArgs e)
	{
		SetScriptCombine(cbEnableScriptCombine.Checked);
	}

	private void SetScriptCombine(bool enable)
	{
		RadScriptManager1.EnableScriptCombine = enable;
		RadStyleSheetManager1.EnableStyleSheetCombine = enable;
	}
}
